Name:           perl-Data-Serializer
Version:        0.60
Release:        3%{?dist}
Summary:        Modules that serialize data structures
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Data-Serializer/
Source0:        http://www.cpan.org/authors/id/N/NE/NEELY/Data-Serializer-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  perl
BuildRequires:  perl(Module::Build)
# Runtime
BuildRequires:  perl(Bencode)
BuildRequires:  perl(Carp)
# Compress::PPMd not available (broken on 64-bit)
# This is an old claim; we need to doublecheck that.
#BuildRequires:  perl(Compress::PPMd)
BuildRequires:  perl(Compress::Zlib)
BuildRequires:  perl(Config::General)
BuildRequires:  perl(Convert::Bencode)
BuildRequires:  perl(Convert::Bencode_XS)
BuildRequires:  perl(Crypt::Blowfish)
BuildRequires:  perl(Crypt::CBC)
BuildRequires:  perl(Data::Denter)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Data::Taxi)
BuildRequires:  perl(Digest)
BuildRequires:  perl(Digest::SHA)
BuildRequires:  perl(FreezeThaw)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(JSON)
BuildRequires:  perl(JSON::Syck)
BuildRequires:  perl(JSON::XS)
BuildRequires:  perl(PHP::Serialization)
BuildRequires:  perl(Storable)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
BuildRequires:  perl(XML::Dumper)
BuildRequires:  perl(XML::Simple)
BuildRequires:  perl(YAML)
BuildRequires:  perl(YAML::Syck)
# Tests only
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(FileHandle)
BuildRequires:  perl(lib)
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))
# Compress::PPMd not available (broken on 64-bit)
# This is an old claim; we need to doublecheck that.
#Requires:       perl(Compress::PPMd)
Requires:       perl(Compress::Zlib)
Requires:       perl(Crypt::Blowfish)
Requires:       perl(Crypt::CBC)
Requires:       perl(Digest)
Requires:       perl(Digest::SHA)

%{?perl_default_filter}

%description
Provides a unified interface to the various serializing modules currently
available. Adds the functionality of both compression and encryption.

%prep
%setup -q -n Data-Serializer-%{version}
find lib -name \*.pm -print0 | xargs -0 chmod 0644

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
%{_fixperms} %{buildroot}/*

%check
./Build test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.60-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.60-2
- Perl 5.22 rebuild

* Fri Nov 14 2014 Petr Šabata <contyk@redhat.com> - 0.60-1
- 0.60 bump
- Many tests moved to xt

* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.59-9
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.59-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.59-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 30 2013 Petr Pisar <ppisar@redhat.com> - 0.59-6
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.59-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.59-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jun 23 2012 Petr Pisar <ppisar@redhat.com> - 0.59-3
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.59-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 26 2011 Iain Arnell <iarnell@gmail.com> 0.59-1
- update to latest upstream

* Wed Jul 20 2011 Petr Sabata <contyk@redhat.com> - 0.57-3
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.57-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 20 2011 Iain Arnell <iarnell@gmail.com> 0.57-1
- update to latest upstream version
- BR perl(Bencode), perl(Convert::Bencode), and perl(Convert::Bencode_XS)

* Fri Jan 14 2011 Iain Arnell <iarnell@gmail.com> 0.54-1
- update to latest upstream version

* Fri Jan 07 2011 Iain Arnell <iarnell@gmail.com> 0.52-1
- update to latest upstream version

* Sun Jan 02 2011 Iain Arnell <iarnell@gmail.com> 0.51-1
- update to latest upstream
- clean up spec for modern rpmbuild

* Thu Dec 16 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.49-3
- 661697 rebuild for fixing problems with vendorach/lib

* Tue Jul 13 2010 Iain Arnell <iarnell@gmail.com> 0.49-2
- fix modules' permissions

* Sun Jun 27 2010 Iain Arnell <iarnell@gmail.com> 0.49-1
- Specfile autogenerated by cpanspec 1.78.
- Tweak requires
